xml.parsers.expat.xmlparser.UseForeignDTD requests a non-optional parameter, conflicts with the documentation

Bug #1056740 reported by Olivier Tilloy on 2012-09-26
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
python2.7 (Ubuntu)
High
Unassigned
python3.2 (Ubuntu)
Undecided
Unassigned

Bug Description

I just noticed that while digging a traceback I was getting when running lazygal.

According to python 2.7.3’s documentation (http://docs.python.org/library/pyexpat.html#xml.parsers.expat.xmlparser.UseForeignDTD), UseForeignDTD takes an optional parameter. However the latest version of the interpreter in Quantal chokes when no parameter is given:

    python -c "from xml.parsers import expat; parser=expat.ParserCreate('UTF-8'); parser.UseForeignDTD()"

results in:

    Traceback (most recent call last):
      File "<string>", line 1, in <module>
    TypeError: UseForeignDTD() takes exactly 1 argument (0 given)

This is a recent regression as I was running lazygal without a problem on Quantal a couple of weeks ago.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: python 2.7.3-0ubuntu5
ProcVersionSignature: Ubuntu 3.5.0-15.23-generic 3.5.4
Uname: Linux 3.5.0-15-generic i686
NonfreeKernelModules: nvidia wl
ApportVersion: 2.5.2-0ubuntu4
Architecture: i386
CheckboxSubmission: 2c7995ffdf051a6d0adf7ab2c7be5ba9
CheckboxSystem: 7e42599bda39ea7ff8b528272b6ef52b
Date: Wed Sep 26 11:46:28 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328)
SourcePackage: python-defaults
UpgradeStatus: Upgraded to quantal on 2012-08-30 (26 days ago)

Olivier Tilloy (osomon) wrote :
Matthias Klose (doko) on 2012-09-26
affects: python-defaults (Ubuntu) → python2.7 (Ubuntu)
Changed in python2.7 (Ubuntu):
importance: Undecided → High
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python2.7 - 2.7.3-5ubuntu4

---------------
python2.7 (2.7.3-5ubuntu4) quantal-proposed; urgency=low

  * Fix issue #16012: Fix a regression in pyexpat. The parser's UseForeignDTD()
    method doesn't require an argument again. LP: #1056740.
 -- Matthias Klose <email address hidden> Wed, 26 Sep 2012 13:08:17 +0200

Changed in python2.7 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3.2 - 3.2.3-6ubuntu3

---------------
python3.2 (3.2.3-6ubuntu3) quantal; urgency=low

  * Update to 20120921 from the 3.2 branch. Linux relevant fixes:
    - Issue #15970: xml.etree.ElementTree now serializes correctly the empty
      HTML elements 'meta' and 'param'.
    - Issue #11715: Fix multiarch detection without having Debian development
      tools (dpkg-dev) installed.
  * Fix issue #16012, a regression in pyexpat. The parser's UseForeignDTD()
    method doesn't require an argument again. LP: #1056740.
 -- Matthias Klose <email address hidden> Sat, 29 Sep 2012 13:09:07 +0200

Changed in python3.2 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers